
# Design System Dokumentation

## Digitale Produkte und Dienstleistungen entwerfen

Innerhalb der Web- und Entwickler-Community gibt es keinen kohärenten Standard, der ein „Design-System“ allgemeingültig oder vollumfänglich beschreibt. Begriffe wie **„Style-Guide“, „Pattern Library“, „Design Manual“** oder gar **„Design Thinking“** werden wechselnd benutzt, um unterschiedlich umfängliche Gestaltungsvorlagen oder Prozesse zu beschreiben.

Das hier vorgestellte Digital Design System ist aus der Erfahrung mit zahlreichen unterschiedlich komplexen und umfangreichen Projekten entstanden. Für den Erfolg eines Digital-Projekts hat sich dabei nicht nur die faktische Erfüllung von Anforderungen klassischer Lasten- und Pflichtenhefte erwiesen, sondern die **gemeinsame Identifikation, Entwicklung, Modifikation und Evaluation von Anforderungen und Bedürfnissen der Nutzer**, sowie die gemeinsame – Auftraggeber und Auftragnehmer – multiperspektivische Begleitung des gesamten Entwicklungsprozesses beginnend mit der Initiierung eines Projekts.

Das Digital Design System Schleswig-Holstein ist daher ein **prozess- und nutzerzentriertes System**. Es bietet Anwendern ein Phasenmodell, Methoden und Handlungsmuster, mit denen sie User-Centered-Design in Ihrem Bereich für digitale Dienstleistungen, Produkte und Prozesse initiieren, mitentwickeln, begleiten und beurteilen können.

Für die visuelle Designphase umfasst es darüberhinaus gestaltungsnahe, jedoch **allgemeingültige Hinweise zu Typografie, Farben, Abständen, Piktogramme** sowie zu konkreten Elementen von User-Interfaces wie Buttons, Navigation, Fortschrittsanzeigen, Benachrichtigungen u.s.f.

## Contributing

Mitmachen ist sehr wilkommen!

Hier findest du eine Anleitung zum mitmacehn. `contributing.md` 

  
## Support

Für Hilfe, schreiben Sie eine E-Mail an info@itvsh.de oder schauen Sie auf unserer Informationswebsite vorbei https://www.design-system.sh.

  
## Tech Stack

**Client:** VuePress, SCSS

**Server:** Node, Gitlab Pages

  
## License

[GNU GPLv3](https://choosealicense.com/licenses/gpl-3.0/)

  
